<template>
  <LoadingLayout>
    <AppContainer>
      <ProTabs v-model="state.tabType" hasBorder>
        <ProTabPane lazy label="任务详情" name="task">
          <TaskDetailView></TaskDetailView>
        </ProTabPane>
        <ProTabPane lazy label="报名详情" name="sign">
          <SignDetailView></SignDetailView>
        </ProTabPane>
      </ProTabs>
    </AppContainer>
  </LoadingLayout>
</template>

<script setup lang="ts">
import { AppContainer, ProTabs, ProTabPane } from '@bole-core/components';
import TaskDetailView from './components/TaskDetailView.vue';
import SignDetailView from './components/SignDetailView.vue';

defineOptions({
  name: 'TaskManageDetail',
});

const state = reactive({
  tabType: 'task',
});
</script>

<style lang="scss" scoped>
@use '@/style/common.scss' as *;
</style>
